"""

DESCRIPTION:
    This is the entry point of clpaws command line tools.
"""

import clpaws.errors as error
from clpaws.azmon import main as azmon
from clpaws.eipctl import main as eipctl
from clpaws.enichk import main as enichk
from clpaws.vipctl import main as vipctl
import sys


def usage():
    print('''
usage: clpaws <command> [parameters]

[Command List}
 * azmon
 * eipctl
 * enichk
 * vipctl
''')
    return error.ERRORNO['argument_error']


def main():
    commands = dict(azmon=azmon,
                    eipctl=eipctl,
                    enichk=enichk,
                    vipctl=vipctl)

    sys.argv = sys.argv[1:]   # remove the first argument.

    if len(sys.argv) > 0 and sys.argv[0] in commands:
        return commands[sys.argv[0]]()
    else:
        return usage()


if __name__ == '__main__':
    sys.exit(main())
