#!/bin/sh

MSG_USAGE="Usage : clpjra_logparse.sh [-j java_home] [-o out_directory] log_directory"
MSG_WRONG_JAVA_HOME="Please set correct JAVA_HOME."
MSG_NO_JAVA_HOME="JAVA_HOME must be define.Please run setup.sh"

JAVA_HOME=${JAVA_HOME}

ARGS=$*
while [ $# -gt 0 ]
do
    if [ "$1" = "-j" ]
    then
        shift 1
        if [ $# -eq 0 ] ; then 
            echo ${MSG_USAGE}
            exit 1
        fi
        JAVA_HOME=$1
    fi
    shift 1
done

if [ "${JAVA_HOME}" = "" ] ; then
    echo ${MSG_NO_JAVA_HOME}
    exit 1
fi

if [ ! -f ${JAVA_HOME}/bin/java ] ; then
    echo ${MSG_WRONG_JAVA_HOME}
    exit 1
fi

${JAVA_HOME}/bin/java -jar ../bin/logparse.jar ${ARGS}
